# Uses of Class
org.codehaus.janino.Java.PackageMemberAnnotationTypeDeclaration

Packages that use Java.PackageMemberAnnotationTypeDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.PackageMemberAnnotationTypeDeclaration in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.PackageMemberAnnotationTypeDeclaration
Modifier and Type
Method
Description
`R`
Visitor.TypeDeclarationVisitor.`visitPackageMemberAnnotationTypeDeclaration(Java.PackageMemberAnnotationTypeDeclaration pmatd)`
Invoked by `accept(Visitor.TypeDeclarationVisitor)`

## Uses of Java.PackageMemberAnnotationTypeDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.PackageMemberAnnotationTypeDeclaration
Modifier and Type
Method
Description
`Java.TypeDeclaration`
DeepCopier.`copyPackageMemberAnnotationTypeDeclaration(Java.PackageMemberAnnotationTypeDeclaration subject)`
`void`
AbstractTraverser.`traversePackageMemberAnnotationTypeDeclaration(Java.PackageMemberAnnotationTypeDeclaration pmatd)`
`void`
Traverser.`traversePackageMemberAnnotationTypeDeclaration(Java.PackageMemberAnnotationTypeDeclaration pmatd)`